<div class="row">
    <div class="col">
        <div class="row">
            <div class="col">
                <div class="alert" role="alert" style="text-align:center; background-color: rgba(213, 245, 248, 0.582)">
                  <!--  <button type="button" class="btn btn-outline-secondary" style="float:left;" (click)="goToBack()">
                        <span  aria-hidden="true" class="oi oi-chevron-left icon-header mr-30"></span>
                    </button>-->
                    <h3>Annullo Regolarizzazione Rilievo - SDP</h3>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <app-alert></app-alert>
            </div>
        </div>
    <form #manageEvalFormRef="ngForm" name="myForm"  [ngClass]="{'line-through': model.isDeleted()}">
        <div class="row">
            <div class="col">
                <div class="form-group">
                    <label class=" font-weight-bold">Data Inserimento: </label>
                    <input type="text" class="form-control " [ngModel]="model._insertDate | date: 'dd/MM/yyyy'" name="insertDate" disabled>
                </div>
            </div>
            <div class="col">
                <div class="form-group">
                    <label class=" font-weight-bold">Data Competenza: </label>
                    <input type="text" autocomplete="off" class="form-control" [ngModel]="model._competenceDate | date: 'dd/MM/yyyy'" name="competenceDate" disabled #competenceDateRef="ngModel">                 
                </div>
            </div>
            <div class="col">
                <div class="form-group">
                    <label class=" font-weight-bold">Nr. Rilievo: </label>
                    <input type="text" autocomplete="off" class="form-control" value="{{model.id}}" name="id" disabled>                 
                </div>
            </div>                    
        </div>


        <hr>
        <div class="row">
            <div class="col">
                <div class="form-group">
                    <label class="font-weight-bold">Frazionario: </label>
                    <input type="text" class="form-control " name="fractional"
                       [ngModel]="model?.office?.fractional" required maxlength="20"
                        #frazionarioRef="ngModel"  disabled>     
                </div>
            </div>
            <div class="col">
                <div class="form-group">
                    <label class=" font-weight-bold">Filiale:</label>
                    <div class="form-group">                      
                        <input type="text" name="branch" style="width: 100%" disabled class="form-control "
                        [ngModel]="model.branch.full" #BranchRef="ngModel"> 
                    </div>
                </div>
            </div>
            <div class="col">
                
                    <div class="form-group">
                        <label class="font-weight-bold">Ufficio:</label>
                        <div class="form-group">                           
                            <input type="text" name="office" style="width: 100%" disabled class="form-control "
                            [ngModel]="model.office.full" #OfficeRef="ngModel"> 
                        </div>
                    </div>
                
            </div>
        </div>
        <hr>
        <div class="row">
                <div class="col">
                    <div class="form-group">
                        <label class="font-weight-bold">Voce
                            Daco: </label>
                        <div class="form-group">
                            <input type="text" name="daco" style="width: 100%" disabled class="form-control "
                            [(ngModel)]="model.daco.full" #dacoRef="ngModel">      
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="form-group">
                        <label class="font-weight-bold">Codice Contabile: </label>
                        <input type="text" class="form-control " name="accountNumber" 
                            placeholder="" [(ngModel)]="model.daco.accountNumberFull" 
                            maxlength="20" #codContabileRef="ngModel" disabled>                       
                    </div>
                </div>
                <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Servizio: </label>
                            <div class="input-group form-group ">
                                <input  type="text" name="service" style="width: 100%" disabled class="form-control "
                                    [ngModel]="model?.service?.full" #serviceRef="ngModel">     
                            </div>
                        </div>
                    </div>
        </div>
        <hr>
        <div class="row">
                <div class="col">
                    <div class="form-group">
                        <label class="font-weight-bold">Causale Rilievo:</label>
                        <div class="form-group">
                            <input type="text" name="reason" style="width: 100%" class="form-control "
                            [ngModel]="model?.reason?.full"
                            #reasonRef="ngModel" disabled>       
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="form-group">
                            <label class="font-weight-bold">Connotazione a Perdita: </label>
                            <div class="input-group form-group ">
                                <input type="text" name="status" style="width: 100%" disabled class="form-control "
                                         [ngModel]="model?.status?.full" #statusRef="ngModel">
                            </div>                     
                    </div>
                </div>

                
                <div class="col">
                        <div class="form-group" *ngIf="model.idParent || model.idChild">
                                <label class="font-weight-bold" ><div *ngIf="model.idParent; then LabelChild else LabelParent"></div></label>
                                <ng-template #LabelParent>Nr. Rilievo Origine</ng-template>
                                <ng-template #LabelChild>Nr. Rilievo Generato</ng-template>
                                <div class="input-group form-group ">
                                        <input type="text" class="form-control "  name="generated"
                                       value="{{model.idParent ? model.idParent : model.idChild}}" maxlength="20"
                                        disabled>                            
                                </div>    
                        </div>
                </div>
        </div>
        <hr>
        <div class="row">
            <div class="col">
                <label class="font-weight-bold textSize">{{labelCredit}}                      
                </label>
            </div>
            <div class="col">
                <label class="font-weight-bold textSize">{{labelDebit}}   
                    </label>
            </div>
            <div class="col">

            </div>
        </div>
        <div class="row">
            <div class="col">
                <div class="row">
                    <div class="col">
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><strong>€</strong></div>
                                </div>
                                <input type="text" autocomplete="off" class="form-control "
                                    [(ngModel)]="model.creditAmount" name="creditAmount"                                                                       
                                    min="0" #creditAmountRef="ngModel" maxlength="14" disabled>
                                <!--Campo da switchare per la validazione-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="row">
                    <div class="col">
                        <div class="form-group" >
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><strong>€</strong></div>
                                </div>
                                <input maxlength="14" type="text" autocomplete="off" class="form-control "
                                    [(ngModel)]="model.debitAmount" name="debitAmount"                    
                                    #debitAmountRef="ngModel" disabled>                                    
                            </div>                                                 
                        </div>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="form-group ">
                    
                </div>
            </div>
        </div>
        <hr>
        <div class="row">
            <div class="col">
                <div class="form-group">
                    <label class=" font-weight-bold">Data Contabile: </label>
                    <input type="text" class="form-control " [ngModel]="model.accountDate | date: 'dd/MM/yyyy'" name="accountDate" disabled>
                </div>
            </div>
            <div class="col">
                <div class="form-group">
                    <label class=" font-weight-bold">Data Regolarizzazione: </label>
                    <input type="text" autocomplete="off" class="form-control" [ngModel]="model.regularizationDate | date: 'dd/MM/yyyy'" name="regularizationDate" disabled #regularizationDateRef="ngModel">                 
                </div>
            </div>
            <div class="col">
                <div class="form-group">
                                  
                </div>
            </div>                    
        </div>
        <div class="row">
                <div class="col">
                    <div class="form-group">
                        <label class="font-weight-bold">Descrizione: </label>
                        <textarea class="form-control  form-control-sm" placeholder="Inserisci una descrizione"
                            [(ngModel)]="model.description" maxlength="600" name="description" id="description" rows="3"
                            disabled
                            ngModel></textarea>
                    </div>
                </div>
        </div>
        <hr>
        <div>
        <button name="regularizzation" type="button" [disabled]="disableCancelRegularization()"
                    (click)="confirmCancelRegularization()" class="btn btn-sm btn-success size" style="float: right; margin-left: 16px;">Annullo Regolarizzazione</button>
        </div>
       
        </form> 
    </div>
</div>
<ng-template #ManageNote>

</ng-template>
